uniform sampler2D colorMap;
uniform sampler2D gaussMap;

vec4 getColor(float offsetX, float offsetY, sampler2D map) {
  return texture2D(map, vec2(gl_TexCoord[0].x + offsetX, gl_TexCoord[0].y + offsetY));
}

void main() { 
  gl_FragColor = getColor(0.0, 0.0, colorMap) + getColor(0.0, 0.0, gaussMap);
}
