uniform sampler2D colorMap;
uniform float avgIntensity;
uniform float maxIntensity;

void main() {
  vec3 color = texture2D(colorMap, gl_TexCoord[0].xy).rgb;
  gl_FragColor = vec4(avgIntensity * (color / maxIntensity), 1);
}
